Class UmlActivityRegion

Declaration :

- C++ : class UmlActivityRegion : public UmlBaseActivityRegion, public UmlActivityItem
- Java : abstract class UmlActivityRegion extends UmlBaseActivityRegion implements UmlActivityItem

Directly inherited by : UmlBaseExpansionRegion UmlBaseInterruptibleActivityRegion

Artifact : UmlActivityRegion

Operation UmlActivityRegion

Declaration :

- Uml : # UmlActivityRegion(in id : item_id, in s : string) :
- C++ : protected: UmlActivityRegion(void * id, const QCString & s) : UmlBaseActivityRegion(id, s)
- Java : protected UmlActivityRegion(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : apply , associatedDiagram , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload